Skip to main content

List all apps

List all apps API will return the list of apps that are created through the Create App.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/apps

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/v3_client/
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.
dataArrayList of all available apps for the tenant

Sample Response​

{
"message": "Apps info fetched successfully",
"status": "OK",
"subSystem": 5,
"data": [
{
"appName": "APP_NAME_1",
"id": "1234567890",
"name": "${client_account}",
"enabled": true,
"appAuthenticatorType": "client-secret",
"bearerOnly": false,
"consentRequired": false,
"standardFlowEnabled": true,
"implicitFlowEnabled": false,
"directAccessGrantsEnabled": false,
"serviceAccountsEnabled": false,
"publicApp": false,
"authenticationFlowBindingOverrides": {},
"attributes": {},
"webOrigins": [],
"baseUrl": "/realms/master/account/",
"rootUrl": "${authBaseUrl}",
"defaultRoles": [
"view-profile",
"manage-account"
],
"frontchannelLogout": false,
"fullScopeAllowed": false,
"nodeReRegistrationTimeout": 0,
"notBefore": 0,
"protocol": "openid-connect",
"protocolMappers": [],
"redirectUris": [
"/realms/master/account/*"
],
"registeredNodes": {},
"surrogateAuthRequired": false
},
{
"appName": "APP_NAME_2",
"id": "1234567890",
"name": "${client_account-console}",
"enabled": true,
"appAuthenticatorType": "client-secret",
"bearerOnly": false,
"consentRequired": false,
"standardFlowEnabled": true,
"implicitFlowEnabled": false,
"directAccessGrantsEnabled": false,
"serviceAccountsEnabled": false,
"publicApp": true,
"authenticationFlowBindingOverrides": {},
"attributes": {
"pkce.code.challenge.method": "S256"
},
"webOrigins": [],
"baseUrl": "/realms/master/account/",
"rootUrl": "${authBaseUrl}",
"defaultRoles": [],
"frontchannelLogout": false,
"fullScopeAllowed": false,
"nodeReRegistrationTimeout": 0,
"notBefore": 0,
"protocol": "openid-connect",
"protocolMappers": [
{
"id": "c52dfc43-aa53-4051-ad1c-11f07da7e384",
"name": "audience resolve",
"protocol": "openid-connect",
"protocolMapper": "oidc-audience-resolve-mapper",
"config": {}
}
],
"redirectUris": [
"/realms/master/account/*"
],
"registeredNodes": {},
"surrogateAuthRequired": false
}
]
}

Response Status Information​

Status CodeStatusMessage
200OKApps info fetched successfully
401UnauthorizedHTTP 401 Unauthorized